Thread Rating:
  • 2 Vote(s) - 4.5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[For 1.8] Plugin Uploader for 1.8
#31
[img] http://prntscr.com/ebh0qx [/img]

i got this php like error i dont know why ftp and all config fine

Warning [2] file_get_contents(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0 - Line: 914 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)
File Line Function
[PHP] errorHandler->error
/admin/modules/config/pluginuploader.php 914 file_get_contents
/inc/plugins/pluginuploader.php 222 require_once
/inc/class_plugins.php 139 pluginuploader_admin_config_plugins_begin
/admin/modules/config/plugins.php 19 pluginSystem->run_hooks
/admin/index.php 803 require
Warning [2] file_get_contents(https://community.mybb.com/mods.php?action=view&pid=59): failed to open stream: no suitable wrapper could be found - Line: 914 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)
File Line Function
[PHP] errorHandler->error
/admin/modules/config/pluginuploader.php 914 file_get_contents
/inc/plugins/pluginuploader.php 222 require_once
/inc/class_plugins.php 139 pluginuploader_admin_config_plugins_begin
/admin/modules/config/plugins.php 19 pluginSystem->run_hooks
/admin/index.php 803 require
Warning [2] file_get_contents(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0 - Line: 915 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)
File Line Function
[PHP] errorHandler->error
/admin/modules/config/pluginuploader.php 915 file_get_contents
/inc/plugins/pluginuploader.php 222 require_once
/inc/class_plugins.php 139 pluginuploader_admin_config_plugins_begin
/admin/modules/config/plugins.php 19 pluginSystem->run_hooks
/admin/index.php 803 require
Warning [2] file_get_contents(https://community.mybb.com/mods.php?acti...oad&pid=59): failed to open stream: no suitable wrapper could be found - Line: 915 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)
File Line Function
[PHP] errorHandler->error
/admin/modules/config/pluginuploader.php 915 file_get_contents
/inc/plugins/pluginuploader.php 222 require_once
/inc/class_plugins.php 139 pluginuploader_admin_config_plugins_begin
/admin/modules/config/plugins.php 19 pluginSystem->run_hooks
/admin/index.php 803 require
Warning [2] file_get_contents(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0 - Line: 916 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)
File Line Function
[PHP] errorHandler->error
/admin/modules/config/pluginuploader.php 916 file_get_contents
/inc/plugins/pluginuploader.php 222 require_once
/inc/class_plugins.php 139 pluginuploader_admin_config_plugins_begin
/admin/modules/config/plugins.php 19 pluginSystem->run_hooks
/admin/index.php 803 require
Warning [2] file_get_contents(https://community.mybb.com/mods.php?acti...nse&pid=59): failed to open stream: no suitable wrapper could be found - Line: 916 - File: admin/modules/config/pluginuploader.php PHP 5.6.30 (Linux)
File Line Function
[PHP] errorHandler->error
/admin/modules/config/pluginuploader.php 916 file_get_contents
/inc/plugins/pluginuploader.php 222 require_once
/inc/class_plugins.php 139 pluginuploader_admin_config_plugins_begin
/admin/modules/config/plugins.php 19 pluginSystem->run_hooks
/admin/index.php 803 require
----------------------------No -------- Signature ---------------------------------
Reply
#32
I tried installing the plugin and got an error message. Unfortunately I didn't save it before refreshing and now can't get the error message to display again. I can activate the plugin, but if I try to uninstall it or delete it I get a request for a password, one I never set. Any help on removing the plugin so I can try an install again would be appreciated.

A few facts about my setup: I'm running MyBB 1.8.10 on Ubuntu 16.04 with PHP 7.0.13 and MySQLi 5.7.17.
Reply
#33
This user has been denied support. This user has been denied support.
This actually doesn't works much . The plugin file of /inc is only uploaded . Other files doesn't get uploaded
[Image: venturebb1.0.gif]
Reply
#34
(2017-02-22, 03:56 AM)thunderclap Wrote: I tried installing the plugin and got an error message. Unfortunately I didn't save it before refreshing and now can't get the error message to display again. I can activate the plugin, but if I try to uninstall it or delete it I get a request for a password, one I never set. Any help on removing the plugin so I can try an install again would be appreciated.

A few facts about my setup: I'm running MyBB 1.8.10 on Ubuntu 16.04 with PHP 7.0.13 and MySQLi 5.7.17.

Just uninstall it and reinstall it from the plugins list page, and you'll get asked to set a new password - setting a password is the first thing you will be asked to do when installing it.

(2017-02-22, 07:39 AM)WorldClassic Wrote: This actually doesn't works much . The plugin file of /inc is only uploaded . Other files doesn't get uploaded

Well, they will. What plugin did you try with? Did it say they failed to be moved?
MyReactions - All Plugins

Can you still feel the butterflies?

Free never tasted like pudding.
Reply
#35
(2017-02-22, 02:17 PM)Matt Wrote:
(2017-02-22, 03:56 AM)thunderclap Wrote: I tried installing the plugin and got an error message. Unfortunately I didn't save it before refreshing and now can't get the error message to display again. I can activate the plugin, but if I try to uninstall it or delete it I get a request for a password, one I never set. Any help on removing the plugin so I can try an install again would be appreciated.

A few facts about my setup: I'm running MyBB 1.8.10 on Ubuntu 16.04 with PHP 7.0.13 and MySQLi 5.7.17.

Just uninstall it and reinstall it from the plugins list page, and you'll get asked to set a new password - setting a password is the first thing you will be asked to do when installing it.
I can't uninstall it unless I enter a password, but because of the initial error when I installed it I never got to set a password.
Reply
#36
Not sure how that would happen as if none was set it would prompt you to set one - what page do you see when you go to the Upload Plugin tab?
MyReactions - All Plugins

Can you still feel the butterflies?

Free never tasted like pudding.
Reply
#37
This is what I get.

   
Reply
#38
Okay, so that's nothing to do with a password, that's the admin permissions - if you go to ACP > Users & Groups > Admin Permissions, you need to give access to admins who are permitted to access it. You must not be a super admin if you're getting this error.
MyReactions - All Plugins

Can you still feel the butterflies?

Free never tasted like pudding.
Reply
#39
Okay... that partly worked. I gave myself permission to use the plugin uploader and after I received the warning about the password it gave me that error again. No biggie, since logged in as the super admin and deactivated and uninstalled it. Then I installed and activated it again and got this error.

   

I see "automention" shown in the error, another plugin I have. Is that causing a conflict?
Reply
#40
Ugh, I don't understand how this error even exists... can you look in phpMyAdmin and look at the structure of the mybb_pluginuploader table, and printscreen it for me? The 'files' column is a text field, text fields can't have default values, so I have no idea why this errors... what MySQL version do you have?
MyReactions - All Plugins

Can you still feel the butterflies?

Free never tasted like pudding.
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)